<?php
defined('COT_CODE') or die('Wrong URL');

$return['error'] = '';
$return['success'] = 0;

if(cot_plugin_active('banlist') && $usr['id'] > 0) {
  require_once cot_langfile('banlist', 'plug');
  cot::$db->registerTable('banlist_msg');

  $return['success'] = 1;

  $banmsg = '';
  $from = cot_import('from', 'P', 'TXT');
  $comment = cot_import('comment', 'P', 'TXT');
  //if(empty($comment)) $return['success'] = 0;
  if(empty($from) || !in_array($from, array('ds'))) {
    $return['success'] = 0;
  }

  if($return['success']) {
    if($from == 'ds') {
      $id = cot_import('id', 'P', 'INT');
      $return['success'] = 0;

      if($id > 0) {
        require_once cot_incfile('ds', 'module');
        $msg = $db->query("SELECT * FROM $db_ds_msg WHERE id=".$id." AND touser=".$usr['id'].' LIMIT 1')->fetch();

        if($msg['id'] > 0) {
          $banusername = '';

          if($msg['fruser'] > 0) {
            $banurr = $db->query("SELECT * FROM $db_users WHERE user_id=".$msg['fruser'])->fetch();
            if($banurr['user_id'] > 0) {
              $banusername = $banurr['user_name'];
            } else {
              $banusername = 'Не найден #'.$msg['fruser'];
            }
          } else {
            $banusername = $msg['modername'];
          }

          $pretext = '';
          if($msg['mtype'] > 0) {
            $pretext = $cfg['ds']['mtypes_notytitle'][$msg['mtype']]."<br>";
          }

          $banmsg = "Жалоба на сообщение от пользователя ".$banusername.":<br><br>";
          $banmsg .= "---пересылаемое сообщение (chat: #".$msg['dialog'].", msg: #".$msg['id'].")---<br>".$pretext.$msg['text']."<br>---конец сообщения---";
          if(!empty($comment)) $banmsg .= "<br><br>Комментарий отправителя:".$comment;

          $return['success'] = 1;
        } else {
          $return['error'] = 'Сообщение не найдено.';
        }
      } else {
        $return['error'] = 'Ошибка при отправке жалобы.';
      }
    }
  }

  if($return['success']) {
    $return['error'] = 'Ваше сообщение принято, модератор рассмотрит его в ближайшее время.';
    $db->insert($db_banlist_msg, array(
  		'banmsg_date' => $sys['now'],
  		'banmsg_userid' => $usr['id'],
  		'banmsg_reason' => $banmsg
		));
  }
}

?>
